Table of Contents | Previous | Next | Index

## Appendix A
Reserved Words

This appendix lists the reserved words in JavaScript. The reserved words in this list cannot be used as JavaScript variables, functions, methods, or object names. Some of these words are keywords used in JavaScript; others are reserved for future use.

    abstract
    boolean
    break
    byte
    case
    catch
    char
    class
    const
    continue
    debugger
    default
    delete
    do
    double
    else
    enum
    export
    extends
    false
    final
    finally
    float
    for
    function
    goto
    if
    implements
    import
    in
    instanceof
    int
    interface
    long
    native
    new
    null
    package
    private
    protected
    public
    return
    short
    static
    super
    switch
    synchronized
    this
    throw
    throws
    transient
    true
    try
    typeof
    var
    void
    volatile
    while
    with

Table of Contents | Previous | Next | Index

Last Updated: 05/28/99 12:01:22

Copyright (c) 1999 Netscape Communications Corporation